# FC-5+ version

Name:		xkeycaps
Summary: 	Graphical front end to xmodmap
Version:	2.46
Release:	alt1_13
License:	MIT
Group:		File tools
Source0:	http://www.jwz.org/xkeycaps/%{name}-%{version}.tar.Z
Source1:	xkeycaps.desktop
Source2:	xkeycaps.png
URL:		http://www.jwz.org/xkeycaps/
BuildRequires:	xorg-bitmaps libICE-devel libXmu-devel libSM-devel
BuildRequires:	libXaw-devel xorg-cf-files gccmakedep imake libXt-devel xorg-bigreqsproto-devel xorg-compositeproto-devel xorg-damageproto-devel xorg-dmxproto-devel xorg-evieproto-devel xorg-fixesproto-devel xorg-fontsproto-devel xorg-glproto-devel xorg-inputproto-devel xorg-kbproto-devel xorg-pmproto-devel xorg-randrproto-devel xorg-recordproto-devel xorg-renderproto-devel xorg-resourceproto-devel xorg-scrnsaverproto-devel xorg-videoproto-devel xorg-xcbproto-devel xorg-xcmiscproto-devel xorg-xextproto-devel xorg-xf86bigfontproto-devel xorg-xf86dgaproto-devel xorg-xf86driproto-devel xorg-xf86rushproto-devel xorg-xf86vidmodeproto-devel xorg-xineramaproto-devel xorg-xproto-devel
BuildRequires:	desktop-file-utils libXext-devel
Requires:	xorg-utils
Source44: import.info

%description
xkeycaps is a graphical front-end to xmodmap. It opens a window that 
looks like a keyboard; moving the mouse over a key shows what KeySyms 
and Modifier bits that key generates. Clicking on a key simulates 
KeyPress/KeyRelease events on the window of your choice. It is possible 
to change the KeySyms and Modifiers generated by a key through a 
mouse-based interface. This program can also write an input file for 
xmodmap to recreate your changes in future sessions.

%prep
%setup -q 

%build
xmkmf
sed -i -e 's/^\(\s*CFLAGS\s*=.*\)/\1 $(RPM_OPT_FLAGS)/' Makefile
make %{_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="install -p"
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m0644 -p xkeycaps.man $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m0644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps
desktop-file-install                             \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE1}

%files
%doc README sgi-microsoft.txt
%{_bindir}/xkeycaps
%{_datadir}/applications/xkeycaps.desktop
%{_datadir}/pixmaps/xkeycaps.png
%{_mandir}/man1/*

%changelog
* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 2.46-alt1_13
- initial fc import

